MLXFWRESET(1)

NAME
mlxfwreset - manual page for mlxfwreset 4.19.0

DESCRIPTION
usage: mlxfwreset --device DEVICE [--level {0,3,4,5}] [--type {0,1,2}]

    [--sync {0,1}] [--yes] [--skip_driver] [--mst_flags MST_FLAGS] [--version] [--help] {q,query,r,reset,reset_fsm_register}

  mlxfwreset : The tool provides the following functionality in order to load new firmware:

    1. Query the device for the supported reset-level and reset-type 2. Perform reset operation on the device

OPTIONS

--device DEVICE, -d DEVICE
    : Device to work with

--level {0,3,4,5}, -l {0,3,4,5}
    : Run reset with the specified reset-level

--type {0,1,2}, -t {0,1,2}
    : Run reset with the specified reset-type

--sync {0,1}
    : Run reset with the specified reset-sync

--yes, -y
    : answer "yes" on prompt

--skip_driver, -s
    : Skip driver start/stop stage (driver must be stopped manually)

--mst_flags MST_FLAGS, -m MST_FLAGS
    : Provide mst flags to be used when invoking mst restart step. For example: --mst_flags="--with_i2cdev"

--version, -v
    : Print tool version

--help, -h
    : show this help message and exit

  Commands:

{q,query,r,reset,reset_fsm_register}
    : query: Query reset Level. reset: Execute reset. reset_fsm_register: Reset the fsm register.

  Reset levels:

    0: Driver, PCI link, network link will remain up ("live-Patch") 3: Driver restart and PCI reset 4: Warm Reboot 5: Cold Reboot

  Reset types:

    0: Full chip reset 1: Phy-less reset (keep network port active during reset) 2: NIC only reset (for SoC devices)

SEE ALSO
The full documentation for mlxfwreset is maintained as a Texinfo manual. If the info and mlxfwreset programs are properly installed at your site, the command

    info mlxfwreset

should give you access to the complete manual.